summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-laptop/batti
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-laptop/batti')
-rw-r--r--app-laptop/batti/Manifest1
-rw-r--r--app-laptop/batti/batti-0.3.8-r2.ebuild47
-rw-r--r--app-laptop/batti/batti-0.3.8-r3.ebuild43
-rw-r--r--app-laptop/batti/files/batti-0.3.8-upower-0.99.patch34
-rw-r--r--app-laptop/batti/metadata.xml11
5 files changed, 136 insertions, 0 deletions
diff --git a/app-laptop/batti/Manifest b/app-laptop/batti/Manifest
new file mode 100644
index 00000000000..8a8a7d66bfc
--- /dev/null
+++ b/app-laptop/batti/Manifest
@@ -0,0 +1 @@
+DIST batti-0.3.8.tar.gz 59783 SHA256 a63f99bc63dad743abef18ac666e11247011cf9136a11286b131467d9f484d1c SHA512 39e0085a13847359eb555eff80c3f3b166775558fba3c76ecb4315786e2ce4307d21dcac5fab38da4ee3cc2035356906eb1354ced56a1f007735029e0484a4de WHIRLPOOL 93f9dcc1b7a42968859eb79db593e0be694b6a31a14152e589cd1866172185a296b67b4e2131923d369ee21b3f36f80f42d8b7eb4aa91edad5d6ef96a5d2038c
diff --git a/app-laptop/batti/batti-0.3.8-r2.ebuild b/app-laptop/batti/batti-0.3.8-r2.ebuild
new file mode 100644
index 00000000000..f056fec03e6
--- /dev/null
+++ b/app-laptop/batti/batti-0.3.8-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+SUPPORT_PYTHON_ABIS="1"
+PYTHON_DEPEND="2"
+RESTRICT_PYTHON_ABIS="3.*"
+
+inherit python distutils gnome2-utils eutils
+
+DESCRIPTION="A upower based battery monitor for the system tray, similar to batterymon"
+HOMEPAGE="http://code.google.com/p/batti-gtk/"
+SRC_URI="http://batti-gtk.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="libnotify"
+
+RDEPEND="dev-python/pygtk
+ dev-python/dbus-python
+ || ( sys-power/upower sys-power/upower-pm-utils )
+ x11-themes/gnome-icon-theme
+ libnotify? ( x11-libs/libnotify )"
+DEPEND=""
+
+DOCS="AUTHORS"
+
+src_prepare() {
+ has_version ">=sys-power/upower-0.99" && epatch "${FILESDIR}/${P}-upower-0.99.patch"
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ distutils_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ distutils_pkg_postrm
+}
diff --git a/app-laptop/batti/batti-0.3.8-r3.ebuild b/app-laptop/batti/batti-0.3.8-r3.ebuild
new file mode 100644
index 00000000000..313c72e7044
--- /dev/null
+++ b/app-laptop/batti/batti-0.3.8-r3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 gnome2-utils eutils
+
+DESCRIPTION="A upower based battery monitor for the system tray, similar to batterymon"
+HOMEPAGE="http://code.google.com/p/batti-gtk/"
+SRC_URI="http://batti-gtk.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libnotify"
+
+RDEPEND="dev-python/pygtk[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ || ( sys-power/upower sys-power/upower-pm-utils )
+ x11-themes/gnome-icon-theme
+ libnotify? ( x11-libs/libnotify )"
+DEPEND=""
+
+DOCS=( AUTHORS ChangeLog )
+
+src_prepare() {
+ has_version ">=sys-power/upower-0.99" && epatch "${FILESDIR}/${P}-upower-0.99.patch"
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/app-laptop/batti/files/batti-0.3.8-upower-0.99.patch b/app-laptop/batti/files/batti-0.3.8-upower-0.99.patch
new file mode 100644
index 00000000000..6f313a594c9
--- /dev/null
+++ b/app-laptop/batti/files/batti-0.3.8-upower-0.99.patch
@@ -0,0 +1,34 @@
+diff -Naur batti-0.3.8.orig/src/PowerBackend.py batti-0.3.8/src/PowerBackend.py
+--- batti-0.3.8.orig/src/PowerBackend.py 2014-04-15 19:30:34.123260000 +0200
++++ batti-0.3.8/src/PowerBackend.py 2014-04-15 19:32:11.859168509 +0200
+@@ -180,17 +180,6 @@
+
+ properties = dbus.Interface(iface, 'org.freedesktop.DBus.Properties')
+
+- if properties.Get(self.dbus_interface, 'CanSuspend'):
+- self.__can_suspend = True
+- else:
+- self.__can_suspend = False
+-
+- if properties.Get(self.dbus_interface, 'CanHibernate'):
+- self.__can_hibernate = True
+- else:
+- self.__can_hibernate = False
+-
+-
+ def __get_interface(self):
+ dkit_obj = self.__bus.get_object(self.dbus_service, self.dbus_object)
+ return dbus.Interface(dkit_obj, self.dbus_interface)
+@@ -201,12 +190,6 @@
+ self.__mc_action(widget, event, data)
+
+
+- def can_suspend(self):
+- return self.__can_suspend and self.__get_interface().SuspendAllowed()
+-
+- def can_hibernate(self):
+- return self.__can_hibernate and self.__get_interface().HibernateAllowed()
+-
+ def suspend(self):
+ self.__get_interface().Suspend()
+
diff --git a/app-laptop/batti/metadata.xml b/app-laptop/batti/metadata.xml
new file mode 100644
index 00000000000..497332ae9c1
--- /dev/null
+++ b/app-laptop/batti/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>naota@gentoo.org</email>
+ <name>Naohiro Aota</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="google-code">batti-gtk</remote-id>
+ </upstream>
+</pkgmetadata>